org.bdgenomics.adam.algorithms.consensus

# ConsensusGenerator

#### abstract class ConsensusGenerator extends Serializable

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Known Subclasses
ConsensusGeneratorFromKnowns, ConsensusGeneratorFromReads, ConsensusGeneratorFromSmithWaterman
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ConsensusGenerator
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new ConsensusGenerator()

### Abstract Value Members

1. #### abstract def findConsensus(reads: Iterable[RichAlignmentRecord]): Iterable[Consensus]

   For all reads in this region, generates the list of consensus sequences for realignment.

   For all reads in this region, generates the list of consensus sequences for realignment.

   reads

     Reads to generate consensus sequences from.

   returns

     Consensus sequences to use for realignment.

2. #### abstract def preprocessReadsForRealignment(reads: Iterable[RichAlignmentRecord], reference: String, region: ReferenceRegion): Iterable[RichAlignmentRecord]

   Performs any preprocessing specific to this consensus generation algorithm, e.

   Performs any preprocessing specific to this consensus generation algorithm, e.g., indel normalization.

   reads

     Reads to preprocess.

   returns

     Preprocessed reads.

3. #### abstract def targetsToAdd(): Option[RDD[IndelRealignmentTarget]]

   Generates targets to add to initial set of indel realignment targets, if additional targets are necessary.

   Generates targets to add to initial set of indel realignment targets, if additional targets are necessary.

   returns

     Returns an option which wraps an RDD of indel realignment targets.

### Concrete Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### final def notify(): Unit

    Definition Classes
      AnyRef

16. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

17. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

18. #### def toString(): String

    Definition Classes
      AnyRef → Any

19. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

20. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped